AjpHandler (Tomcat API Documentation)
Keywords: org.apache.ajp.AjpHandler class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.ajp
Class AjpHandler

    java.lang.Object
      org.apache.ajp.AjpHandler

Direct Known Subclasses:
  NegociationHandler, RequestHandler

public class AjpHandler
extends java.lang.Object

Base class for handlers of Ajp messages. Jk provide a simple bidirectional communication mechanism between the web server and a servlet container. It is based on messages that are passed between the 2 server, using a single thread on each side. The container side must be able to deal with at least the "REQUEST FORWARD", the server side must be able to deal with at least "HEADERS", "BODY", "END" messages.

Author:
  Henri Gomez, Costin Manolache

Field Summary
`static int` | `UNKNOWN`

Constructor Summary
`AjpHandler()`

Method Summary
`int` | `handleAjpMessage(int type, Ajp13 channel, Ajp13Packet ajp, BaseRequest req)` Execute the callback
`void` | `init(Ajp13 channel)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWN

    public static final int UNKNOWN

See Also:
  Constant Field Values

Constructor Detail

### AjpHandler

    public AjpHandler()

Method Detail

### init

    public void init(Ajp13 channel)

### handleAjpMessage

    public int handleAjpMessage(int type,
                                Ajp13 channel,
                                Ajp13Packet ajp,
                                BaseRequest req)
                         throws java.io.IOException

  Execute the callback

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.